Bug 178319 - Change String::number to not implicitly be "fixed precision 6 digits"
Summary: Change String::number to not implicitly be "fixed precision 6 digits"
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Darin Adler
URL:
Keywords: InRadar
Depends on: 194994 195142 195262 195533
Blocks: 198471
  Show dependency treegraph
 
Reported: 2017-10-14 19:23 PDT by Darin Adler
Modified: 2019-06-02 22:01 PDT (History)
6 users (show)

See Also:


Attachments
Patch (183.19 KB, patch)
2017-10-14 19:23 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (197.03 KB, patch)
2017-10-28 16:24 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (198.11 KB, patch)
2017-10-29 18:21 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (204.02 KB, patch)
2017-10-29 19:37 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (204.04 KB, patch)
2017-10-29 20:25 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (206.89 KB, patch)
2017-10-29 22:51 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (206.89 KB, patch)
2017-10-29 23:00 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-elcapitan (1.04 MB, application/zip)
2017-10-30 00:08 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-elcapitan-wk2 (1.20 MB, application/zip)
2017-10-30 00:15 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-elcapitan (1.80 MB, application/zip)
2017-10-30 00:26 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (1.17 MB, application/zip)
2017-10-30 00:31 PDT, Build Bot
no flags Details
Patch (222.78 KB, patch)
2017-11-01 22:06 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (9.34 KB, patch)
2019-03-16 14:58 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (10.68 KB, patch)
2019-03-17 17:02 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (22.87 KB, patch)
2019-05-13 05:47 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.48 MB, application/zip)
2019-05-13 07:59 PDT, Build Bot
no flags Details
Patch (23.99 KB, patch)
2019-05-13 08:05 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (23.59 KB, patch)
2019-05-13 20:04 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (25.15 KB, patch)
2019-05-14 19:12 PDT, Darin Adler
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2017-10-14 19:23:23 PDT
Change String::number to use "shortest" instead of "fixed precision 6 digits"
Comment 1 Darin Adler 2017-10-14 19:23:47 PDT Comment hidden (obsolete)
Comment 2 Build Bot 2017-10-14 19:25:09 PDT Comment hidden (obsolete)
Comment 3 Darin Adler 2017-10-28 16:24:23 PDT Comment hidden (obsolete)
Comment 4 Darin Adler 2017-10-29 18:21:39 PDT Comment hidden (obsolete)
Comment 5 Darin Adler 2017-10-29 19:37:11 PDT Comment hidden (obsolete)
Comment 6 Darin Adler 2017-10-29 20:25:53 PDT Comment hidden (obsolete)
Comment 7 Darin Adler 2017-10-29 22:51:02 PDT Comment hidden (obsolete)
Comment 8 Darin Adler 2017-10-29 23:00:24 PDT Comment hidden (obsolete)
Comment 9 Build Bot 2017-10-30 00:08:29 PDT Comment hidden (obsolete)
Comment 10 Build Bot 2017-10-30 00:08:30 PDT Comment hidden (obsolete)
Comment 11 Build Bot 2017-10-30 00:15:32 PDT Comment hidden (obsolete)
Comment 12 Build Bot 2017-10-30 00:15:33 PDT Comment hidden (obsolete)
Comment 13 Build Bot 2017-10-30 00:26:02 PDT Comment hidden (obsolete)
Comment 14 Build Bot 2017-10-30 00:26:04 PDT Comment hidden (obsolete)
Comment 15 Build Bot 2017-10-30 00:31:35 PDT Comment hidden (obsolete)
Comment 16 Build Bot 2017-10-30 00:31:37 PDT Comment hidden (obsolete)
Comment 17 Darin Adler 2017-11-01 22:06:27 PDT Comment hidden (obsolete)
Comment 18 Build Bot 2017-11-02 00:11:40 PDT Comment hidden (obsolete)
Comment 19 Darin Adler 2017-11-02 09:17:30 PDT Comment hidden (obsolete)
Comment 20 Darin Adler 2019-03-10 12:46:54 PDT Comment hidden (obsolete)
Comment 21 Darin Adler 2019-03-16 14:58:05 PDT Comment hidden (obsolete)
Comment 22 Darin Adler 2019-03-17 17:02:39 PDT Comment hidden (obsolete)
Comment 23 Darin Adler 2019-05-13 05:47:35 PDT Comment hidden (obsolete)
Comment 24 Build Bot 2019-05-13 07:59:45 PDT Comment hidden (obsolete)
Comment 25 Build Bot 2019-05-13 07:59:47 PDT Comment hidden (obsolete)
Comment 26 Darin Adler 2019-05-13 08:05:18 PDT Comment hidden (obsolete)
Comment 27 Darin Adler 2019-05-13 20:04:23 PDT Comment hidden (obsolete)
Comment 28 Darin Adler 2019-05-14 19:12:34 PDT
Created attachment 369918 [details]
Patch
Comment 29 Sam Weinig 2019-05-17 19:33:21 PDT
Comment on attachment 369918 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=369918&action=review

> Source/WTF/wtf/text/StringBuilder.h:236
>      // FIXME: Delete in favor of the name appendShortestFormNumber or just appendNumber.

Since appendNumber for these types are now 'delete', this comment should be updated to just call for using appendShortestFormNumber.

> Source/WTF/wtf/text/WTFString.h:193
>      // FIXME: Delete in favor of the name numberToStringShortest or just number.

Since number for these types are now 'delete', this comment should be updated to just call for using numberToStringShortest.
Comment 30 Darin Adler 2019-05-19 10:49:21 PDT
Comment on attachment 369918 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=369918&action=review

>> Source/WTF/wtf/text/StringBuilder.h:236
>>      // FIXME: Delete in favor of the name appendShortestFormNumber or just appendNumber.
> 
> Since appendNumber for these types are now 'delete', this comment should be updated to just call for using appendShortestFormNumber.

Comment refers to the overload for double. In this patch, only the float overload is deleted. It’s there and deleted to prevent implicit float to double type conversion.

So I think I am still happy with the comment as is.

>> Source/WTF/wtf/text/WTFString.h:193
>>      // FIXME: Delete in favor of the name numberToStringShortest or just number.
> 
> Since number for these types are now 'delete', this comment should be updated to just call for using numberToStringShortest.

Same thought as above.
Comment 31 Darin Adler 2019-05-19 10:51:02 PDT
Also, thanks for the review. I feel like I’ve been working on this for so long, but it’s almost done.
Comment 32 WebKit Commit Bot 2019-05-19 11:17:46 PDT
Comment on attachment 369918 [details]
Patch

Clearing flags on attachment: 369918

Committed r245504: <https://trac.webkit.org/changeset/245504>
Comment 33 WebKit Commit Bot 2019-05-19 11:17:48 PDT
All reviewed patches have been landed.  Closing bug.
Comment 34 Radar WebKit Bug Importer 2019-05-19 11:18:21 PDT
<rdar://problem/50929253>